package com.gyee.wisdom.dao.simulator;

import com.gyee.wisdom.common.data.timeseries.*;
import com.gyee.wisdom.common.exception.WisdomException;
import com.gyee.wisdom.dao.timeseries.EDosDao;
import com.gyee.wisdom.dao.timeseries.IHistoryDao;
import com.gyee.wisdom.dao.timeseries.SimulatorDao;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

@Component
@SimulatorDao
public class SimulatorHistoryDao implements IHistoryDao {



    public List<TsData> getTsDataHistory(TsQuery tsQuery) throws Exception {
        return null;
    }

    public List<TsData> getDoubleTsDataHistory(TsQuery tsQuery) throws Exception {
        return null;
    }

    public List<TsData> getBooleanTsDataHistory(TsQuery tsQuery) throws Exception {
        return null;
    }



    @Override
    public List<DoubleStatData> getDoubleStatDataHistory(TsQuery tsQuery) throws Exception {
        return null;
    }

    @Override
    public boolean writeHistoryValue(List<TsPointData> dataList) throws Exception {
        return false;
    }

    @Override
    public Map<String, TsData> getHistorySection(List<TsPoint> tsPoints, Long ts) throws Exception {
        return null;
    }

}
